.386
.model flat, stdcall  ;32 bit memory model
option casemap :none  ;case sensitive

include windows.inc
include kernel32.inc
include user32.inc
include Comctl32.inc
include shell32.inc

includelib kernel32.lib
includelib user32.lib
includelib Comctl32.lib
includelib shell32.lib

DlgProc			PROTO	:HWND,:UINT,:WPARAM,:LPARAM

.const

IDD_DIALOG1			equ 101

;#########################################################################

.data?

hInstance			dd ?

prehotkey1 dd ?
prehotkey2 dd ?
prehotkey3 dd ?
precheck dd ?
storehotkey1 dd ?
storehotkey2 dd ?
storehotkey3 dd ?
storecheck dd ?






hotkey1 dd ?
hotkey2 dd ?
exithotkey dd ?
check dd ?
stage dd ?
;#########################################################################

.data

intboxCap db "Starting",0
intboxText db "Starting...",0
dir db "models",0
newdir db "models1",0
key1box db "hotkey1",0
key2box db "hotkey2",0
key3box db "hotkey3",0


;##########  ini files #######

iniKeySec db "hotkey",0
iniCheckSec db "checkbox",0
iniExitCheck db "exit",0
inifile db "./hotkeys.ini",0
storecheck2 db "1",0
storecheck0 db "0",0


.code

start:

	invoke GetModuleHandle,NULL
	mov		hInstance,eax

    invoke InitCommonControls
	invoke DialogBoxParam,hInstance,IDD_DIALOG1,NULL,addr DlgProc,NULL
	invoke ExitProcess,0

;########################################################################

DlgProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM

	mov		eax,uMsg
	.if eax==WM_INITDIALOG
        invoke LoadIcon, hInstance, 3001
    	invoke SendMessage, hWin, WM_SETICON, ICON_BIG or ICON_SMALL, eax
		
		;####### ini stuff #######
		invoke GetPrivateProfileString,addr iniKeySec,addr key1box,NULL,addr prehotkey1,sizeof prehotkey1,addr inifile	
		invoke GetPrivateProfileString,addr iniKeySec,addr key2box,NULL,addr prehotkey2,sizeof prehotkey2,addr inifile
		invoke GetPrivateProfileString,addr iniKeySec,addr key3box,NULL,addr prehotkey3,sizeof prehotkey3,addr inifile
		;###### end ini stuff #####
	
	.elseif eax==WM_COMMAND
		mov		eax,wParam
		mov		edx,eax
		shr		edx,16
		and		eax,0FFFFh
	.if edx==BN_CLICKED
		
		.if eax==1007
			invoke ExitProcess,0
		.endif

		.if eax==1006
		invoke SendDlgItemMessage,hWin,1002,HKM_GETHOTKEY,0,0
		 	mov hotkey1,eax
		invoke RegisterHotKey,hWin,001h,NULL,hotkey1
		invoke SendDlgItemMessage,hWin,1003,HKM_GETHOTKEY,0,0
			mov hotkey2,eax
		invoke RegisterHotKey,hWin,002h,NULL,hotkey2
		invoke SendDlgItemMessage,hWin,1015,HKM_GETHOTKEY,0,0
			mov exithotkey,eax
		invoke RegisterHotKey,hWin,003h,NULL,exithotkey
		
		invoke SendDlgItemMessage,hWin,1009,BM_GETCHECK,0,0
		mov check, eax

		.endif
	;####### load/save #######
	
	;loading
		.if eax==1008
		invoke GetPrivateProfileString,addr iniKeySec,addr key1box,NULL,addr prehotkey1,sizeof prehotkey1,addr inifile	
		invoke GetPrivateProfileString,addr iniKeySec,addr key2box,NULL,addr prehotkey2,sizeof prehotkey2,addr inifile
		invoke GetPrivateProfileString,addr iniKeySec,addr key3box,NULL,addr prehotkey3,sizeof prehotkey3,addr inifile
		invoke GetPrivateProfileString,addr iniCheckSec,addr iniExitCheck,NULL,addr precheck,sizeof precheck,addr inifile
		
		invoke SendDlgItemMessage,hWin,1002,HKM_SETHOTKEY,prehotkey1,0
		;invoke MessageBox,hWin,addr storehotkey1,addr storehotkey1,MB_OK OR MB_ICONINFORMATION
		invoke SendDlgItemMessage,hWin,1003,HKM_SETHOTKEY,prehotkey2,0
		invoke SendDlgItemMessage,hWin,1015,HKM_SETHOTKEY,prehotkey3,0
		
		.if precheck==1
			invoke SendDlgItemMessage,hWin,1009,BM_SETCHECK,BST_CHECKED,0
		.elseif precheck==0
			invoke SendDlgItemMessage,hWin,1009,BM_SETCHECK,BST_UNCHECKED,0
		.endif
		
			
		.endif
	;saving
		.if eax==1010
		
			invoke SendDlgItemMessage,hWin,1002,HKM_GETHOTKEY,0,0
				mov storehotkey1, eax
			invoke SendDlgItemMessage,hWin,1003,HKM_GETHOTKEY,0,0
				mov storehotkey2, eax
			invoke SendDlgItemMessage,hWin,1015,HKM_GETHOTKEY,0,0
				mov storehotkey3, eax
			invoke SendDlgItemMessage,hWin,1009,BM_GETCHECK,0,0
				mov storecheck, eax
			
			.if storecheck==1
				invoke WritePrivateProfileString,addr iniCheckSec,addr iniExitCheck,addr storecheck2,addr inifile
			.else
				invoke WritePrivateProfileString,addr iniCheckSec,addr iniExitCheck,addr storecheck0,addr inifile
			.endif
			
			invoke WritePrivateProfileString,addr iniKeySec,addr key1box,addr storehotkey1,addr inifile
			invoke WritePrivateProfileString,addr iniKeySec,addr key2box,addr storehotkey2,addr inifile
			invoke WritePrivateProfileString,addr iniKeySec,addr key3box,addr storehotkey3,addr inifile
			

			
			
		.endif
	
	.endif

	.elseif eax==WM_HOTKEY
		.if wParam==001h
			invoke MoveFileEx,addr dir,addr newdir,MOVEFILE_REPLACE_EXISTING
		.endif
			
		.if	wParam==002h
			invoke MoveFileEx,addr newdir,addr dir,MOVEFILE_REPLACE_EXISTING
			.if check==1
				invoke ExitProcess,0
			.endif
			
		.endif
		
		
		.if wParam==003h
			invoke ExitProcess,0
		.endif
		
			
	.elseif eax==WM_CLOSE
		invoke EndDialog,hWin,0
	.else
		mov		eax,FALSE
		ret
	.endif
	mov		eax,TRUE
	ret

DlgProc endp





end start
